=== modified file 'Makefile'
--- Makefile	2009-07-03 15:06:42 +0000
+++ Makefile	2009-07-04 02:16:06 +0000
@@ -23,6 +23,8 @@
 PYTHON=python
 PYTHON24=python24
 PYTHON25=python25
+BZR_TARGET=release
+PLUGIN_TARGET=plugin-release
 PYTHON_BUILDFLAGS=
 
 .PHONY: all clean extensions pyflakes api-docs check-nodocs check
@@ -226,7 +228,7 @@
 	@echo *** Make all the installers from scratch
 	cd tools/win32 && $(PYTHON) bootstrap.py
 	cd tools/win32 && bin/buildout
-	cd tools/win32 && bin/build-installer.bat
+	cd tools/win32 && bin/build-installer.bat $(BZR_TARGET) $(PLUGIN_TARGET)
 
 
 clean-installer-all:

=== modified file 'tools/win32/buildout-templates/bin/build-installer.bat.in'
--- tools/win32/buildout-templates/bin/build-installer.bat.in	2009-07-04 01:58:03 +0000
+++ tools/win32/buildout-templates/bin/build-installer.bat.in	2009-07-04 02:16:06 +0000
@@ -3,7 +3,7 @@
 
 set ROOT=${buildout:directory}
 
-set RELEASE=%ROOT%\release\bzr.${settings:bzr-latest}
+set RELEASE=%ROOT%\release\bzr.${settings:bzr-release}
 set DEV=%ROOT%\dev\bzr.dev
 set TARGET=
 set BZR_TARGET=
@@ -32,13 +32,13 @@
 FOR /f "tokens=1 delims= " %%G IN ('cygpath %PYTHON%') DO set CYG_PYTHON=%%G
 
 :ARGS
-if "%1"=="release" (set TARGET=%RELEASE%) & (set BZR_TARGET=latest) & shift & goto ARGS
+if "%1"=="release" (set TARGET=%RELEASE%) & (set BZR_TARGET=release) & shift & goto ARGS
 if "%1"=="dev" (set TARGET=%DEV%) & (set BZR_TARGET=trunk) & shift & goto ARGS
-if "%1"=="plugin-latest" (set PLUGIN_TARGET=latest) & shift & goto ARGS
+if "%1"=="plugin-release" (set PLUGIN_TARGET=release) & shift & goto ARGS
 if "%1"=="plugin-dev" (set PLUGIN_TARGET=trunk) & shift & goto ARGS
 
-if not defined TARGET (set TARGET=%RELEASE%) & (set BZR_TARGET=latest)
-if not defined PLUGIN_TARGET (set PLUGIN_TARGET=latest)
+if not defined TARGET (set TARGET=%RELEASE%) & (set BZR_TARGET=release)
+if not defined PLUGIN_TARGET (set PLUGIN_TARGET=release)
 
 %PYTHON% %ROOT%/ostools.py remove %TARGET%
 @if %ERRORLEVEL% NEQ 0 (set BUILD_ERROR=%ERRORLEVEL%) & goto End

=== modified file 'tools/win32/buildout.cfg'
--- tools/win32/buildout.cfg	2009-07-03 03:44:25 +0000
+++ tools/win32/buildout.cfg	2009-07-04 02:16:06 +0000
@@ -44,32 +44,32 @@
 zlib-url =
   http://www.zlatkovic.com/pub/libxml/zlib-1.2.3.win32.zip
 
-bzr-latest = 1.15
-bzr-latest-url = http://bazaar-vcs.org/bzr/bzr.${settings:bzr-latest}
+bzr-release = 1.15
+bzr-release-url = http://bazaar-vcs.org/bzr/bzr.${settings:bzr-release}
 bzr-trunk-url = http://bazaar-vcs.org/bzr/bzr.dev
 
-bzrtools-latest = 1.12.0
-bzrtools-latest-tag = tag:release-${settings:bzrtools-latest}
+bzrtools-release = 1.12.0
+bzrtools-release-tag = tag:release-${settings:bzrtools-release}
 bzrtools-trunk-url = lp:bzrtools
 
-qbzr-latest = 0.9.8
-qbzr-latest-tag = tag:release-${settings:qbzr-latest}
+qbzr-release = 0.9.8
+qbzr-release-tag = tag:release-${settings:qbzr-release}
 qbzr-trunk-url = lp:qbzr
 
-tbzr-latest = 0.1.0
-tbzr-latest-tag = tag:release-${settings:tbzr-latest}
+tbzr-release = 0.1.0
+tbzr-release-tag = tag:release-${settings:tbzr-release}
 tbzr-trunk-url = lp:tortoisebzr
 
-bzr-svn-latest = 0.5.2
-bzr-svn-latest-tag = tag:bzr-svn-${settings:bzr-svn-latest}
+bzr-svn-release = 0.5.2
+bzr-svn-release-tag = tag:bzr-svn-${settings:bzr-svn-release}
 bzr-svn-trunk-url = lp:bzr-svn
 
-bzr-rebase-latest = 0.4.4
-bzr-rebase-latest-tag = tag:bzr-rebase-${settings:bzr-rebase-latest}
+bzr-rebase-release = 0.4.4
+bzr-rebase-release-tag = tag:bzr-rebase-${settings:bzr-rebase-release}
 bzr-rebase-trunk-url = lp:bzr-rebase
 
-subvertpy-latest = 0.6.4
-subvertpy-latest-tag = tag:subvertpy-${settings:subvertpy-latest}
+subvertpy-release = 0.6.4
+subvertpy-release-tag = tag:subvertpy-${settings:subvertpy-release}
 subvertpy-trunk-url = lp:subvertpy
 
 [templates]
@@ -132,7 +132,7 @@
 shared-repo = false
 format = 1.9
 urls =
-    ${settings:bzr-latest-url}  latest
+    ${settings:bzr-release-url}  release
     ${settings:bzr-trunk-url}   trunk
 develop = false
 
@@ -142,7 +142,7 @@
 format = 1.9-rich-root
 urls =
     ${settings:bzrtools-trunk-url} trunk
-    ${buildout:directory}/bzrtools/trunk@${settings:bzrtools-latest-tag} latest
+    ${buildout:directory}/bzrtools/trunk@${settings:bzrtools-release-tag} release
 develop = false
 
 [qbzr]
@@ -151,7 +151,7 @@
 format = 1.9
 urls =
     ${settings:qbzr-trunk-url} trunk
-    ${buildout:directory}/qbzr/trunk@${settings:qbzr-latest-tag} latest
+    ${buildout:directory}/qbzr/trunk@${settings:qbzr-release-tag} release
 develop = false
 
 [tbzr]
@@ -160,7 +160,7 @@
 format = 1.9
 urls =
     ${settings:tbzr-trunk-url} trunk
-    ${buildout:directory}/tbzr/trunk@${settings:tbzr-latest-tag} latest
+    ${buildout:directory}/tbzr/trunk@${settings:tbzr-release-tag} release
 develop = false
 
 [bzr-svn]
@@ -169,7 +169,7 @@
 format = 1.9-rich-root
 urls =
     ${settings:bzr-svn-trunk-url} trunk
-    ${buildout:directory}/bzr-svn/trunk@${settings:bzr-svn-latest-tag} latest
+    ${buildout:directory}/bzr-svn/trunk@${settings:bzr-svn-release-tag} release
 develop = false
 
 [bzr-rebase]
@@ -178,7 +178,7 @@
 format = 1.9-rich-root
 urls =
     ${settings:bzr-rebase-trunk-url} trunk
-    ${buildout:directory}/bzr-rebase/trunk@${settings:bzr-rebase-latest-tag} latest
+    ${buildout:directory}/bzr-rebase/trunk@${settings:bzr-rebase-release-tag} release
 develop = false
 
 [subvertpy]
@@ -187,5 +187,5 @@
 format = 1.9-rich-root
 urls =
     ${settings:subvertpy-trunk-url} trunk
-    ${buildout:directory}/subvertpy/trunk@${settings:subvertpy-latest-tag} latest
+    ${buildout:directory}/subvertpy/trunk@${settings:subvertpy-release-tag} release
 develop = false

